Timer Class Reference

high resolution timer More...

Inheritance diagram for Timer:

## Public Member Functions

| Timer (Unit unit=TimerBase::SECONDS, bool stuckAtZero=false)
TimerWord | GetCurrentTimerValue ()
TimerWord | TicksPerSecond ()
Public Member Functions inherited from TimerBase
| TimerBase (Unit unit, bool stuckAtZero)
void | StartTimer ()
double | ElapsedTimeAsDouble ()
unsigned long | ElapsedTime ()

## Additional Inherited Members

Public Types inherited from TimerBase
enum | Unit { SECONDS = 0, MILLISECONDS, MICROSECONDS, NANOSECONDS }

## Detailed Description

high resolution timer

Definition at line 57 of file hrtimer.h.

The documentation for this class was generated from the following files:

- hrtimer.h
- hrtimer.cpp